Bug 1601017 - [RFE] Convert sync plans to Foreman Tasks
Summary: [RFE] Convert sync plans to Foreman Tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Sync Plans
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: Justin Sherrill
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On: 1694822
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-13 15:13 UTC by pm-sat@redhat.com
Modified: 2019-10-07 17:17 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.34-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 19:57:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23927 None None None 2018-07-13 15:13:59 UTC
Foreman Issue Tracker 26305 None None None 2019-03-20 18:56:04 UTC

Description pm-sat@redhat.com 2018-07-13 15:13:57 UTC

Comment 1 pm-sat@redhat.com 2018-07-13 15:14:01 UTC
Created from redmine issue https://projects.theforeman.org/issues/23927

Comment 2 pm-sat@redhat.com 2018-07-13 15:14:04 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 5 pm-sat@redhat.com 2018-10-31 18:08:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/23927 has been resolved.

Comment 7 Justin Sherrill 2019-01-29 15:44:01 UTC
Answers:


===================================================================================
Bug #24733: [Sync-plans] Sync plans created with start date in the past schedule a lot of dynflow tasks


Create a sync plan with start date one day before, check that this is not allowed.

ANS: Agreed


-----------------------------------------------------------------------------


Bug #23928: Migrate sync plans to recurring logics

Please help me here.

ANS: Test that, after upgrade, sync plans still have recorring logic and that the sync plans work

-----------------------------------------------------------------------------

Feature #23929: Specify custom cron syntax for sync plans

Create custom sync plan with interval set to custom cron, say every ten minutes, save, check after 33 minutes or more that multiple syncs occurred as expected.

ANS: Agreed, Test only after upgrade, as this is Sat6.5 only.

-----------------------------------------------------------------------------
Bug #22961: re-vamp upgrade proccess to not require installer updates

ANS:  this is covered by the test for "Migrate sync plans to recurring logics"


-----------------------------------------------------------------------------

Feature #23888: support enable/disable recurring logics

ANS:  Test enabling/disabling sync plans from the sync plan page.  Also test enable/disable recurring logics on the monitor > recurring logics page


-----------------------------------------------------------------------------

Refactor #21938: Single upgrade rake task

ANS:  this is covered by the test for "Migrate sync plans to recurring logics"

-----------------------------------------------------------------------------

Refactor #24189: Update katello to use foreman upgrade task

ANS:  this is covered by the test for "Migrate sync plans to recurring logics"


-----------------------------------------------------------------------------
Bug #24671: [Sync-plans] Remove dead code

Ans: No tests needed


-----------------------------------------------------------------------------


Bug #24828: add sync-plan upgrade task to new upgrade process

ANS:  this is covered by the test for "Migrate sync plans to recurring logics"


-----------------------------------------------------------------------------

Bug #24818: [Sync-plans] Sync plan save button continues to be in working mode after error

Enter invalid plan, check that save button does not allow you to save?

But in what way invalid? I found "reproduce" steps here:https://github.com/Katello/katello/pull/7723

ANS:
try creating a sync plan with:
duplicate name
invalid cron syntax

verify that error shows up, and that youc an correct the issue and still save the sync plan


-----------------------------------------------------------------------------
Bug #24901: [Sync-Plans] Clear cron expression when interval is not custom cron

Create custom sync plan with interval set to custom cron, save, change interval to something else, save, select custom cron interval and confirm custom cron field is clear.

Enter an invalid cron expression, save, check that error "Cron expression is not valid!" is displayed.

ANS: agreed.

Comment 9 Bryan Kearney 2019-02-01 19:08:21 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/23927 has been resolved.

Comment 27 Stephen Wadeley 2019-04-01 13:32:31 UTC
Hello

Bug 1694727 - Main Recurring logics page does not display recurring logic ID

Comment 32 Bryan Kearney 2019-05-14 19:57:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.